"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const chai_1 = require("chai");
const reader_test_1 = require("./reader.test");
const cspellDict = require("cspell-dict-es-es");
let trie;
function getTrie() {
    if (!trie) {
        trie = reader_test_1.readTrieFile(cspellDict.getConfigLocation());
    }
    return trie;
}
describe('Validate Spanish Suggestions', () => {
    it('Tests suggestions', function () {
        this.timeout(5000);
        return getTrie().then(trie => {
            // cspell:ignore Carmjen
            const results = trie.suggestWithCost('carmjen', 10);
            // console.log(JSON.stringify(results));
            const suggestions = results.map(s => s.word);
            chai_1.expect(suggestions).to.contain('carmen');
            chai_1.expect(suggestions[0]).to.be.equal('carmen');
        });
    });
});
//# sourceMappingURL=suggest-es.test.js.map